Slony-I 2.2.10 Documentation
Prev | Fast Backward | Chapter 8. Schema schemadoc | Fast Forward | Next

# 8.72. issubscriptioninprogress(p_add_id integer)

Function Properties

Language: PLPGSQL

Return Type: boolean

Checks to see if a subscription for the indicated set is in progress. Returns true if a subscription is in progress. Otherwise false

    begin
    	if exists (select true from sl_event
    			where ev_type = 'ENABLE_SUBSCRIPTION'
    			and ev_data1 = p_add_id::text
    			and ev_seqno > (select max(con_seqno) from sl_confirm
    					where con_origin = ev_origin
    					and con_received::text = ev_data3))
    	then
    		return true;
    	else
    		return false;
    	end if;
    end;

Prev | Home | Next
is_node_reachable(receiver_node_id integer, origin_node_id integer) | Up | lockset(p_set_id integer)